.mod-craigie-gym-attendance {
    --gym-attendance-bg: var(--color-light);
    --gym-attendance-border: var(--color-grey);
    --gym-attendance-text: var(--color-dark);
    --gym-attendance-divider: rgba(var(--color-silver-rgb), 0.25);
    --gym-attendance-accent: var(--color-primary);
    --gym-attendance-bars: var(--color-silver);
    --gym-attendance-shadow: 0 0.5rem 1.5rem 0 rgba(15, 23, 33, 0.12);
    container-name: gym-attendance;
    container-type: inline-size;
}

.clc-gym-attendance-theme-grey {
    --gym-attendance-bg: var(--color-grey);
    --gym-attendance-border: rgba(var(--color-silver-rgb), 0.15);
}

.clc-gym-attendance-theme-dark {
    --gym-attendance-bg: var(--color-dark);
    --gym-attendance-border: var(--color-dark);
    --gym-attendance-text: var(--color-light);
    --gym-attendance-shadow: none;
}

.clc-gym-attendance {
    background-color: var(--gym-attendance-bg);
    color: var(--gym-attendance-text);
    border-radius: 1rem;
    border: .1rem solid var(--gym-attendance-border);
    box-shadow: var(--gym-attendance-shadow);
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: max-content 1fr max-content;
    justify-items: stretch;
    align-items: stretch;
    width: 100%;
}

.clc-gym-attendance-header {
    border-bottom: .1rem solid var(--gym-attendance-divider);
    padding: 2rem 2.5rem 1.5rem;
    text-align: center;
}

.clc-gym-attendance-header h5 {
    margin-bottom: .2rem;
}

.clc-gym-attendance-body {
    display: flex;
    justify-content: center;
    align-items: stretch;
    padding: 1.5rem 2.5rem;
    width: 100%;
    height: 100%;
}

.clc-gym-attendance-body-inner {
    position: relative;
    width: 100%;
    height: 100%;
}

.clc-gym-attendance-footer {
    border-top: .1rem solid var(--gym-attendance-divider);
    padding: 1.5rem;
}

.clc-gym-attendance-day.btn:not(.active) {
    --btn-bg-color: #8198A5;
    --btn-text-color: #FFFFFF;
    --btn-border-color: transparent;
    --btn-bg-color-hover: rgb(116.1, 136.8, 148.5);
    --btn-text-color-hover: #FFFFFF;
    --btn-border-color-hover: transparent;
}

.clc-gym-attendance-loader,
.clc-gym-attendance-stats {
    display: block;
    position: absolute;
    inset: 0   ;
}

.clc-gym-attendance-loader-loading {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.clc-gym-attendance-loader-text {
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--gym-attendance-bars);
}

.clc-gym-attendance-loader-spinner {
    width: 2rem;
    height: 2rem;
    border: .3rem solid var(--gym-attendance-accent);
    border-top-color: var(--gym-attendance-divider);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-right: 1rem;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.clc-gym-attendance-graph {
    --gt-bars: 1fr;
    display: inline-grid;
    grid-template-columns: var(--gt-bars);
    grid-template-rows: 1fr 5rem;
    width: 100%;
    height: 100%;
    column-gap: .2rem;
    row-gap: 1rem;
}

.clc-gym-attendance-graph-bars {
    display: grid;
    grid-template-columns: subgrid;
    grid-row: 1 / 2;
    align-items: end;
    justify-items: stretch;
    width: 100%;
    height: 100%;
    grid-column: 1 / -1;
    grid-auto-flow: column;
}

@container gym-attendance (min-width: 420px) {
    .clc-gym-attendance-graph {
        column-gap: .5rem;
    }
}

@container gym-attendance (min-width: 768px) {
    .clc-gym-attendance-graph {
        column-gap: 1rem;
    }
}

.clc-gym-attendance-graph-bar {
    display: block;
    width: 100%;
    height: 0%;
    background-color: var(--gym-attendance-bars);
    position: relative;
}

.clc-gym-attendance-graph-bar.active {
    background-color: var(--gym-attendance-accent);
}

.clc-gym-attendance-graph-labels {
    display: grid;
    grid-template-columns: subgrid;
    grid-row: 2 / 3;
    align-items: start;
    justify-items: center;
    grid-column: 1 / -1;
    grid-auto-flow: column;
}

.clc-gym-attendance-graph-label span {
    font-size: 1.2rem;
    text-orientation: sideways-right;
    writing-mode: vertical-lr;
}

.clc-gym-attendance-meta {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
}

.clc-gym-attendance-meta-day {
    display: inline-block;
    text-align: left;
    font-weight: 700;
}

.clc-gym-attendance-meta-live {
    display: inline-block;
    text-align: right;
}

.clc-gym-attendance-meta-live strong {
    color: var(--gym-attendance-accent);
}

.clc-gym-attendance-stats-inner {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: max-content 1fr;
    height: 100%;
    width: 100%;
    gap: 1rem;
}

.clc-gym-attendance-graph-bar-live {
    background-color: var(--gym-attendance-accent);
}

.clc-gym-attendance-graph-bar.exceeded::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 0;
    border-top: .2rem dashed var(--gym-attendance-bg);
    z-index: 2;
}

.clc-gym-attendance-days-selector {
    --gym-selector-height: 4rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.clc-gym-attendance-days {
    list-style: none;
    display: grid;
    position: relative;
    gap: 0;
    width: 100%;
    grid-template-columns: repeat(7, 1fr);
    align-items: center;
    justify-items: center;
    margin: 0;
    padding: 0;
    height: var(--gym-selector-height);
    border-radius: calc(var(--gym-selector-height) / 2);
    background-color: var(--gym-attendance-border);
}

.clc-gym-attendance-day {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-weight: bold;
    font-size: 1.4rem;
    height: var(--gym-selector-height);
    width: 100%;
    position: relative;
    z-index: 2;
    color: var(--gym-attendance-text);
    transition: .2s;
}

.clc-gym-attendance-day.active {
    color: var(--gym-attendance-bg);
}

.clc-gym-attendance-day-pill {
    position: absolute;
    width: calc(100% / 7);
    height: var(--gym-selector-height);
    background-color: var(--gym-attendance-accent);
    border-radius: calc(var(--gym-selector-height) / 2);
    transition: .3s ease-in-out;
    top: 0;
    left: 0;
    z-index: 1;
}

.clc-gym-attendance-day.active:nth-child(2) ~ .clc-gym-attendance-day-pill {
    left: calc(100% / 7);
}

.clc-gym-attendance-day.active:nth-child(3) ~ .clc-gym-attendance-day-pill {
    left: calc((100% / 7) * 2);
}

.clc-gym-attendance-day.active:nth-child(4) ~ .clc-gym-attendance-day-pill {
    left: calc((100% / 7) * 3);
}

.clc-gym-attendance-day.active:nth-child(5) ~ .clc-gym-attendance-day-pill {
    left: calc((100% / 7) * 4);
}

.clc-gym-attendance-day.active:nth-child(6) ~ .clc-gym-attendance-day-pill {
    left: calc((100% / 7) * 5);
}

.clc-gym-attendance-day.active:nth-child(7) ~ .clc-gym-attendance-day-pill {
    left: calc((100% / 7) * 6);
}

.clc-gym-attendance-day .short-day {
    display: none;
}

.clc-gym-attendance-legend {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    column-gap: 1.5em;
    row-gap: .5rem;
    justify-content: center;
    align-items: center;
}

.clc-gym-attendance-legend > li {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    gap: .5rem;
    align-items: center;
    font-size: 1.4rem;
}

.clc-gym-attendance-legend > li > .legend-color {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
}

.clc-gym-attendance-legend > li > .legend-color-average {
    background-color: var(--gym-attendance-bars);
}

.clc-gym-attendance-legend > li > .legend-color-live {
    background-color: var(--gym-attendance-accent);
}

@container gym-attendance (max-width: 575px) {
    .clc-gym-attendance-day {
        font-size: 1.3rem;
    }

    .clc-gym-attendance-graph-label span {
        font-size: 1rem;
    }

    .clc-gym-attendance-graph-label:nth-child(even) {
        display: block !important;
        visibility: hidden !important;
        overflow: hidden !important;
        width: 0 !important;
        height: 0 !important;
    }
}

@container gym-attendance (max-width: 400px) {

    .clc-gym-attendance-day {
        font-size: 1.2rem;
    }

    .clc-gym-attendance-day .full-day {
        display: none;
    }

    .clc-gym-attendance-day .short-day {
        display: block;
    }

    .clc-gym-attendance-days-selector {
        --gym-selector-height: 3rem;
    }
}